/*  ZA2 Driver for Linux
    Copyright (C) 1998,1999,2000 Peter Wahl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Send bug reports to:
    Peter Wahl
    uzsa69@uni-bonn.de
*/

#ifndef _ZA2SPECIALS_H
#define _ZA2SPECIALS_H

#ifndef _SIOWR
#define _SIOWR       _IOWR
#endif

#define ZA2UBITS 98
typedef struct za2ubits_t { char bits[ZA2UBITS]; } za2ubits_t;

#define ZA2CBITS 24
typedef struct za2cbits_t { char bits[ZA2CBITS]; } za2cbits_t;

#define SOUND_MIXER_ZA2SETFLAGS SOUND_MIXER_PRIVATE1
#define SOUND_MIXER_ZA2GETFLAGS SOUND_MIXER_PRIVATE2
#define SOUND_MIXER_ZA2STARTID SOUND_MIXER_PRIVATE3
/*SOUND_MIXER_PRIVATE4 and SOUND_MIXER_PRIVATE5 are redefined 
  since we do not want to return an int but a field*/
#define SOUND_MIXER_ZA2GETCBITS _SIOWR('M', 114, za2cbits_t)
#define SOUND_MIXER_ZA2GETUBITS _SIOWR('M', 115, za2ubits_t)

#define SOUND_MIXER_ZA2EMPH       1
#define SOUND_MIXER_ZA2SCMS       2
#define SOUND_MIXER_ZA2AESO       4
#define SOUND_MIXER_ZA2SWAP       8
#define SOUND_MIXER_ZA2DIFF    0x10
#define SOUND_MIXER_ZA2ADIRECT 0x20
#define SOUND_MIXER_ZA2DDIRECT 0x40

#ifndef SOUND_MIXER_DIGITAL1
#define SOUND_MIXER_DIGITAL1 17
#define SOUND_MASK_DIGITAL1 (1<<SOUND_MIXER_DIGITAL1)
#endif

#ifndef SOUND_MIXER_DIGITAL2
#define SOUND_MIXER_DIGITAL2 18
#define SOUND_MASK_DIGITAL2 (1<<SOUND_MIXER_DIGITAL2)
#endif

#ifndef SOUND_MIXER_DIGITAL3
#define SOUND_MIXER_DIGITAL3 19
#define SOUND_MASK_DIGITAL3 (1<<SOUND_MIXER_DIGITAL3)
#endif

#endif
